Bug 33101 - Basket More details view doesn't work
Summary: Basket More details view doesn't work
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Frédéric Demians
QA Contact: Testopia
URL:
Keywords: rel_22_11_candidate
Depends on: 32445
Blocks:
  Show dependency treegraph
 
Reported: 2023-03-01 08:21 UTC by Frédéric Demians
Modified: 2023-12-28 20:42 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.04


Attachments
Bug 33101: Restore OPAC basket detailed view (1.65 KB, patch)
2023-03-01 08:27 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 33101: Restore OPAC basket detailed view (1.72 KB, patch)
2023-03-01 09:07 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Demians 2023-03-01 08:21:02 UTC
When displaying the OPAC basket, clicking on 'More details' doesn't display the basket detailed view.
Comment 1 Frédéric Demians 2023-03-01 08:27:46 UTC
Created attachment 147538 [details] [review]
Bug 33101: Restore OPAC basket detailed view

The OPAC basket detailed view display is broken since since bug 32445.
This patch restore the usual operation.

TO TEST:

1. Add a biblio recor into the OPAC basket.
2. Click on the cart to display its content.
3. Click on More details
   => error 500
4. Apply the patch, and repeat 3.
Comment 2 Jonathan Druart 2023-03-01 09:07:09 UTC
Created attachment 147539 [details] [review]
Bug 33101: Restore OPAC basket detailed view

The OPAC basket detailed view display is broken since since bug 32445.
This patch restore the usual operation.

TO TEST:

1. Add a biblio recor into the OPAC basket.
2. Click on the cart to display its content.
3. Click on More details
   => error 500
4. Apply the patch, and repeat 3.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Tomás Cohen Arazi 2023-03-02 12:39:46 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 4 Matt Blenkinsop 2023-03-03 12:06:08 UTC
Nice work everyone!

Pushed to stable for 22.11.x
Comment 5 Lucas Gass 2023-03-10 14:51:30 UTC
Missing dependencies for 22.05, no backport.